{{ ansible_managed | comment }}
include "{{ bind_dns_tsig_key_path }}";

acl internal {
{% for item in bind_dns_internal_allowed_hosts %}
    {{ item }};
{% endfor %}
};

options {
    directory "/var/cache/bind";

    forwarders {
    {% for item in bind_dns_forwarders %}
        {{ item }};
    {% endfor %}
    };
    allow-query { internal; };
};
{% for item in bind_dns_zone_configs %}

zone "{{ item.zone_name }}" IN {
    type master;
    file "{{ bind_dns_zone_dir }}/{{ item.zone_path }}";
    update-policy { grant {{ bind_dns_tsig_key_name }} zonesub any; };
};
{% endfor %}
